Page MenuHomePhabricator

[Compact links] Prioritise interwikis to featured pages
Closed, ResolvedPublic

Description

Once T42810 is fixed, it may be possible to use the "badge" classes attached to the individual interlanguage link to prioritise the "featured" pages in some way. The Wikidata feature should provide something like this: https://www.wikidata.org/wiki/Wikidata:Development_plan#Badges

We could have an ULS configuration variable, disabled by default, that could be set to <do something> with links containing <badge XX>; the setting could then be enabled on Wikimedia projects and be the same on all wikis as the list of allowed badges is defined centrally in the site configuration of the Wikibase Repo (Wikidata). Of course the setting would need to degrade gracefully when Wikibase Client is not installed.

Would still need some form of consensus to enable a specific configuration on Wikimedia though, it's not entirely obvious (that will be a separate bug if this feature is considered feasible code-side).


See Also:
T66797: [Compact links] Collapsed language links should preserve <a>, <li> elements and attributes

Details

Reference
bz68071
Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterAdd languages in which there is a featured article

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:34 AM
bzimport set Reference to bz68071.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 15 2014, 9:25 PM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Dec 4 2014, 8:42 AM
jayvdb added a subscriber: jayvdb.Jun 20 2015, 3:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 10:12 PM

Once T42810 is fixed, it may be possible to use the "badge" classes

The tracking bug is still open, but most blockers are closed and I think classes are correctly available and in use, e.g. <li style="display: list-item;" class="interlanguage-link interwiki-en badge-Q17437796 badge-featuredarticle" title="voce in vetrina"><a href="//en.wikipedia.org/wiki/Suillus_bovinus" title="Suillus bovinus - inglese" hreflang="en" lang="en">English</a></li> in the example:

Elitre added a subscriber: Elitre.Jul 19 2016, 12:34 PM

Change 302928 had a related patch set uploaded (by Amire80):
Add languages in which there is a featured article

https://gerrit.wikimedia.org/r/302928

Nikerabbit moved this task from In Review to QA on the Language-Q1-2016-17 Sprint 3 board.

Change 302928 merged by jenkins-bot:
Add languages in which there is a featured article

https://gerrit.wikimedia.org/r/302928

Arrbee moved this task from QA to Done on the Language-Q1-2016-17 Sprint 3 board.Aug 11 2016, 8:04 AM
Arrbee closed this task as Resolved.Aug 16 2016, 6:59 AM